#include <iostream>
using namespace std;

int main ()
{
    int N,d,k,sb;
    sb=0;
    cin >> N >> d >> k;
    for(int i=1;i<k;i++)
    {
        for (int i=1;i<=N;i=i+d)
        {
            sb=sb+i;
        }
    }
    cout << sb;

    return 0;
}

